Subject: Re: [RFC PATCH v3 3/3] trace2: write overload message to sentinel files

From: Derrick Stolee <[email-masked]>
Date: Mon, 16 Sep 2019 08:07:13 -0400

On 9/13/2019 8:26 PM, Josh Steadmon wrote:
> Add a new "overload" event type for trace2 event destinations. Write
> this event into the sentinel file created by the trace2.maxFiles
> feature. Bump up the event format version since we've added a new event
> type.
> 
> Writing this message into the sentinel file is useful for tracking how
> often the overload protection feature is triggered in practice.

Putting meaningful data into the sentinel file is valuable. It's
important to know a bit about when and why this happened. A user
would be able to inspect the modified time, and the directory info
you include is unnecessary. The data you include is only for the
log aggregator to keep valuable data around overloads.
 
> +`"overload"`::
> +	This event is created in a sentinel file if we are overloading a target
> +	trace directory (see the trace2.maxFiles config option).
> ++
> +------------
> +{
> +	"event":"overload",
> +	...
> +	"dir":"/trace/target/dir/", # The configured trace2 target directory
> +	"evt":"2",		    # EVENT format version
> +}
That said, do we really need to resort to a new event format and
event type? Could we instead use the "data" event with a key
"overload" and put the target dir in the value?

Thanks,
-Stolee